/* Distributed under the OSI-approved BSD 3-Clause License.  See accompanying
   file Copyright.txt or https://cmake.org/licensing for details.  */
#include "cmGlobalGhsMulti7Generator.h"

#include "cmDocumentationEntry.h"
#include "cmake.h"
#include "cmState.h"

cmGlobalGhsMulti7Generator::cmGlobalGhsMulti7Generator(cmake* cm)
  : cmGlobalGhsMultiGenerator(cm)
{
  cm->GetState()->SetIsGeneratorMultiConfig(true);
}

void cmGlobalGhsMulti7Generator::GetDocumentation(cmDocumentationEntry& entry)
{
  entry.Name = GetActualName();
  entry.Brief =
    "Generates Green Hills MULTI 7 files (experimental, work-in-progress, supports multi configurations).";
}
